kind: Pod
apiVersion: v1
metadata:
  generateName: clusterresourceoverride-operator-745854f847-
  annotations:
    olm.skipRange: '>=4.3.0 <4.8.0-202212051626'
    openshift.io/scc: restricted
    operators.openshift.io/valid-subscription: >-
      ["OpenShift Kubernetes Engine", "OpenShift Container Platform", "OpenShift
      Platform Plus"]
    olm.targetNamespaces: clusterresourceoverride-operator
    k8s.ovn.org/pod-networks: >-
      {"default":{"ip_addresses":["10.129.2.8/23"],"mac_address":"0a:58:0a:81:02:08","gateway_ips":["10.129.2.1"],"routes":[{"dest":"100.124.0.0/16","nextHop":"10.129.2.3"}],"ip_address":"10.129.2.8/23","gateway_ip":"10.129.2.1"}}
    operatorframework.io/properties: >-
      {"properties":[{"type":"olm.gvk","value":{"group":"operator.autoscaling.openshift.io","kind":"ClusterResourceOverride","version":"v1"}},{"type":"olm.package","value":{"packageName":"clusterresourceoverride","version":"4.8.0-202212051626"}}]}
    repository: 'https://github.com/openshift/cluster-resource-override-operator'
    support: Red Hat
    alm-examples: |-
      [
        {
          "apiVersion": "operator.autoscaling.openshift.io/v1",
          "kind": "ClusterResourceOverride",
          "metadata": {
            "name": "cluster"
          },
          "spec": {
            "podResourceOverride": {
              "spec": {
                "memoryRequestToLimitPercent": 50,
                "cpuRequestToLimitPercent": 25,
                "limitCPUToMemoryPercent": 200
              }
            }
          }
        }
      ]
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.2.8"
          ],
          "mac": "0a:58:0a:81:02:08",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.129.2.8"
          ],
          "mac": "0a:58:0a:81:02:08",
          "default": true,
          "dns": {}
      }]
    capabilities: Seamless Upgrades
    healthIndex: B
    olm.operatorNamespace: clusterresourceoverride-operator
    containerImage: >-
      registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8-operator@sha256:0b394403de5ad5cbf003a6df90e33b8a523ed7971b375eb1fccc8c4b3ea0b84e
    createdAt: 2019/11/15
    categories: OpenShift Optional
    description: >-
      An operator to manage the OpenShift ClusterResourceOverride Mutating
      Admission Webhook Server
    olm.operatorGroup: clusterresourceoverride-operator-xhg7r
    certifiedLevel: Primed
  resourceVersion: '83258'
  name: clusterresourceoverride-operator-745854f847-2kkr9
  uid: 2a3ee66e-c41a-41a5-b020-15c7ee2fbe48
  creationTimestamp: '2023-02-01T23:59:48Z'
  managedFields:
    - manager: jvaldes-c4tx5-master-0
      operation: Update
      apiVersion: v1
      time: '2023-02-01T23:59:48Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/pod-networks': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2023-02-01T23:59:48Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:healthIndex': {}
            'f:olm.operatorNamespace': {}
            'f:createdAt': {}
            'f:alm-examples': {}
            'f:description': {}
            'f:olm.operatorGroup': {}
            'f:capabilities': {}
            'f:olm.skipRange': {}
            .: {}
            'f:operators.openshift.io/valid-subscription': {}
            'f:containerImage': {}
            'f:categories': {}
            'f:certifiedLevel': {}
            'f:operatorframework.io/properties': {}
            'f:support': {}
            'f:olm.targetNamespaces': {}
            'f:repository': {}
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:clusterresourceoverride.operator': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"32d711d2-0d33-47c8-a6a3-8c76631c75ba"}': {}
        'f:spec':
          'f:containers':
            'k:{"name":"clusterresourceoverride-operator"}':
              'f:image': {}
              'f:terminationMessagePolicy': {}
              .: {}
              'f:resources': {}
              'f:args': {}
              'f:command': {}
              'f:livenessProbe':
                .: {}
                'f:failureThreshold': {}
                'f:httpGet':
                  .: {}
                  'f:path': {}
                  'f:port': {}
                  'f:scheme': {}
                'f:initialDelaySeconds': {}
                'f:periodSeconds': {}
                'f:successThreshold': {}
                'f:timeoutSeconds': {}
              'f:env':
                .: {}
                'k:{"name":"OPERAND_IMAGE"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"OPERAND_NAMESPACE"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
                'k:{"name":"OPERAND_VERSION"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"OPERATOR_CONDITION_NAME"}':
                  .: {}
                  'f:name': {}
                  'f:value': {}
                'k:{"name":"OPERATOR_POD_NAMESPACE"}':
                  .: {}
                  'f:name': {}
                  'f:valueFrom':
                    .: {}
                    'f:fieldRef': {}
              'f:readinessProbe':
                .: {}
                'f:failureThreshold': {}
                'f:httpGet':
                  .: {}
                  'f:path': {}
                  'f:port': {}
                  'f:scheme': {}
                'f:periodSeconds': {}
                'f:successThreshold': {}
                'f:timeoutSeconds': {}
              'f:terminationMessagePath': {}
              'f:imagePullPolicy': {}
              'f:ports':
                .: {}
                'k:{"containerPort":8080,"protocol":"TCP"}':
                  .: {}
                  'f:containerPort': {}
                  'f:protocol': {}
              'f:name': {}
          'f:dnsPolicy': {}
          'f:serviceAccount': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:terminationGracePeriodSeconds': {}
          'f:serviceAccountName': {}
          'f:enableServiceLinks': {}
          'f:securityContext': {}
    - manager: multus
      operation: Update
      apiVersion: v1
      time: '2023-02-01T23:59:51Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
            'f:k8s.v1.cni.cncf.io/networks-status': {}
      subresource: status
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2023-02-01T23:59:53Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.129.2.8"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: clusterresourceoverride-operator
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: clusterresourceoverride-operator-745854f847
      uid: 32d711d2-0d33-47c8-a6a3-8c76631c75ba
      controller: true
      blockOwnerDeletion: true
  labels:
    clusterresourceoverride.operator: 'true'
    pod-template-hash: 745854f847
spec:
  restartPolicy: Always
  serviceAccountName: clusterresourceoverride-operator
  imagePullSecrets:
    - name: clusterresourceoverride-operator-dockercfg-h2jt6
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: jvaldes-c4tx5-worker-xrkbx
  securityContext:
    seLinuxOptions:
      level: 's0:c25,c15'
    fsGroup: 1000630000
  containers:
    - resources: {}
      readinessProbe:
        httpGet:
          path: /healthz
          port: 8080
          scheme: HTTP
        timeoutSeconds: 1
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 3
      terminationMessagePath: /dev/termination-log
      name: clusterresourceoverride-operator
      command:
        - /usr/bin/cluster-resource-override-admission-operator
      livenessProbe:
        httpGet:
          path: /healthz
          port: 8080
          scheme: HTTP
        initialDelaySeconds: 5
        timeoutSeconds: 1
        periodSeconds: 10
        successThreshold: 1
        failureThreshold: 3
      env:
        - name: OPERATOR_POD_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
        - name: OPERAND_NAMESPACE
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
        - name: OPERAND_IMAGE
          value: >-
            registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8@sha256:23c678bda6cf05bf9c7d7244eb3496ca0f3f86b1aac7441415ae1165808eca20
        - name: OPERAND_VERSION
          value: 1.0.0
        - name: OPERATOR_CONDITION_NAME
          value: clusterresourceoverride-operator.4.8.0-202212051626
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000630000
      ports:
        - containerPort: 8080
          protocol: TCP
      imagePullPolicy: Always
      volumeMounts:
        - name: kube-api-access-n25r8
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePolicy: File
      image: >-
        registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8-operator@sha256:0b394403de5ad5cbf003a6df90e33b8a523ed7971b375eb1fccc8c4b3ea0b84e
      args:
        - start
        - '--namespace=$(OPERAND_NAMESPACE)'
        - '--v=2'
  serviceAccount: clusterresourceoverride-operator
  volumes:
    - name: kube-api-access-n25r8
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-01T23:59:48Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-01T23:59:53Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-01T23:59:53Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-01T23:59:48Z'
  hostIP: 172.31.251.218
  podIP: 10.129.2.8
  podIPs:
    - ip: 10.129.2.8
  startTime: '2023-02-01T23:59:48Z'
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: clusterresourceoverride-operator
      state:
        running:
          startedAt: '2023-02-01T23:59:52Z'
      imageID: >-
        registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8-operator@sha256:0b394403de5ad5cbf003a6df90e33b8a523ed7971b375eb1fccc8c4b3ea0b84e
      image: >-
        registry.redhat.io/openshift4/ose-clusterresourceoverride-rhel8-operator@sha256:0b394403de5ad5cbf003a6df90e33b8a523ed7971b375eb1fccc8c4b3ea0b84e
      lastState: {}
      containerID: 'cri-o://34238203afc11091f93fdc0a27b51f26323a578df3d1aab6da12e8955db4d6ce'
  qosClass: BestEffort
